/*
 * Copyright (c) 2008 Jiri Svoboda
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <stdio.h>
#include <unistd.h>
#include <thread.h>
#include "../tester.h"

volatile int done;

void t_proc(void *arg)
{
	printf("this is 'test' thread [wait for key]\n");
	getchar();
	done = 1;
}

#include <vfs/vfs.h>
#include <errno.h>

static ipc_call_t call;

char * test_debug1(bool quiet)
{
	int rc;
	thread_id_t tid;
//	ipc_call_t call;

	done = 0;

	asm (
	    "trap"
	);

/*	while(1) {
		printf(".");
		ipc_wait_for_call(&call);
	}*/
//	getchar();
//	if (mount("tmpfs", "/", "nulldev0") != EOK)
//		return "mount() failed.\n";
//	getchar();

//	printf("running debug1 test\n");
//	rc = thread_create(t_proc, NULL, "test", &tid);

	//printf("(active) wait for thread 'test'\n");
	while (!done) {
		usleep(1*1000*1000);
		printf(".");
	}

//	printf("done\n");
	return NULL;
}
